Package: groovy.org.codenarc.rule.basic

## [Groovy] Class DoubleNegativeRule

- groovy.org.codenarc.rule.basic.DoubleNegativeRule

- There is no point in using a double negative, it is always positive. For instance !!x can always be simplified to x. And !(!x) can as well.

  Authors:
    Hamlet D'Arcy

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Class` | `astVisitorClass`
    `String` | `name`
    `int` | `priority`

- - ### Property Detail

    - #### Class astVisitorClass

    - #### String name

    - #### int priority